Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 24734007: Encrypt all stored cookies on selected operating systems. (Closed)

Created:
5 years, 2 months ago by bcwhite
Modified:
4 years, 12 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, cbentzel+watch_chromium.org
Visibility:
Public.

Description

Encrypt all stored cookies on selected operating systems. As part of the goal of protecting private user information, this encrypts the cookie values on operating systems with user-specific crypto APIs and that do not otherwise protect this data. Performance tests indicate a penalty of about 1ms per cookie (regardless of size) on a Mac and 0.1ms to 0.7ms (depending on the size) under Windows. This will be higher on older hardware but still insignificant. Encrypted data is binary (with an overhead of 128 bytes on Windows) and binary data must be stored in a BLOB so only one of two fields ("value" or "encrypted_value") will have data with the other being empty. Both values, however, need to be read & written when accessing a cookie because they are marked "non null"). BUG=313323 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=234855 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=240684 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=241004

Patch Set 1 #

Total comments: 9

Patch Set 2 : addressed review comments from shess #

Patch Set 3 : create a 'delegate' for cookie crypto and have it set by instantiating method #

Patch Set 4 : removed unnecessary build changes #

Patch Set 5 : fixed compile on other arch; added test and fixed problems found #

Patch Set 6 : fixed perftest #

Total comments: 35

Patch Set 7 : addressed (most) review comments by Erik #

Total comments: 24

Patch Set 8 : addressed review comments by Scott #

Patch Set 9 : added new file left out from previous commit #

Patch Set 10 : simplify #ifdef for cookie-crypto #

Patch Set 11 : use scoped_ptr instead of raw pointers when permanently passing in objects #

Patch Set 12 : fixed Android build (missing pointer conversion) #

Patch Set 13 : updated new DB schema to be consistent with after-upgrade version #

Total comments: 2

Patch Set 14 : look at actual SQL record to verify no plaintext #

Total comments: 1

Patch Set 15 : check all fields for absent plaintext #

Patch Set 16 : scan raw DB file for values to ensure encyrption #

Total comments: 13

Patch Set 17 : add some debug statements to try to find why it's breaking on the try server #

Patch Set 18 : addressed review comments by erikwright #

Patch Set 19 : need real declaration to instantiate scoped_ptr of an object #

Patch Set 20 : need real declaration to instantiate scoped_ptr of an object (android edition) #

Patch Set 21 : last upload failed; try again #

Total comments: 1

Patch Set 22 : need real declaration to instantiate scoped_ptr of an object (perftest edition) #

Patch Set 23 : add trace of test failing on try-server to see what's going on #

Patch Set 24 : more printf debugging #

Patch Set 25 : more printf debugging #

Patch Set 26 : more printf debugging #

Patch Set 27 : fixed add-cookie race condition and removed all extra debug logging #

Patch Set 28 : fixed typo #

Patch Set 29 : rebased #

Patch Set 30 : rebased #

Patch Set 31 : disable on Mac because it breaks tests waiting for Keychain (will fix in another CL) #

Patch Set 32 : rebased #

Patch Set 33 : fix android build #

Patch Set 34 : removed left-over code from bad rebase #

Patch Set 35 : fix memory leak in test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+321 lines, -68 lines) Patch
M android_webview/native/cookie_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 2 chunks +3 lines, -1 line 0 comments Download
M chrome/browser/profiles/profile_impl_io_data.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 5 chunks +44 lines, -3 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 2 chunks +3 lines, -1 line 0 comments Download
M content/browser/net/sqlite_persistent_cookie_store.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +3 lines, -1 line 0 comments Download
M content/browser/net/sqlite_persistent_cookie_store.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 16 chunks +94 lines, -35 lines 0 comments Download
M content/browser/net/sqlite_persistent_cookie_store_perftest.cc View 1 2 3 4 5 6 7 8 9 10 18 19 20 21 3 chunks +5 lines, -2 lines 0 comments Download
M content/browser/net/sqlite_persistent_cookie_store_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 20 chunks +142 lines, -23 lines 0 comments Download
A content/public/browser/cookie_crypto_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +22 lines, -0 lines 0 comments Download
M content/public/browser/cookie_store_factory.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 2 chunks +5 lines, -2 lines 0 comments Download

Messages

Total messages: 110 (0 generated)
bcwhite
Erik, you're the only owner for this code. I'd appreciate your review of the general ...
5 years, 2 months ago (2013-09-26 19:43:15 UTC) #1
bcwhite
Scott <shess>, I'm told you're the reigning expert on SQLite. Can you comment on any ...
5 years, 2 months ago (2013-09-27 18:50:32 UTC) #2
erikwright (departed)
To put this in context, Brian is adding a BLOB column that will contain the ...
5 years, 2 months ago (2013-09-27 18:57:46 UTC) #3
Scott Hess - ex-Googler
I'm going OOT tomorrow for a week, I expect to be online somewhat, but probably ...
5 years, 2 months ago (2013-09-27 23:07:12 UTC) #4
bcwhite
>So the encryption overhead will definitely increase the >database size, but having two columns won't. ...
5 years, 2 months ago (2013-09-30 15:04:28 UTC) #5
bcwhite
> Only 0.01% of our users have a cookie database exceeding 4MB with less than ...
5 years, 2 months ago (2013-09-30 15:25:01 UTC) #6
bcwhite
addressed review comments from shess
5 years, 2 months ago (2013-09-30 15:25:21 UTC) #7
bcwhite
create a 'delegate' for cookie crypto and have it set by instantiating method
5 years, 2 months ago (2013-09-30 16:48:00 UTC) #8
bcwhite
removed unnecessary build changes
5 years, 2 months ago (2013-09-30 17:03:15 UTC) #9
bcwhite
Erik, I've never created a Delegate before. Is this done correctly?
5 years, 2 months ago (2013-09-30 17:06:34 UTC) #10
bcwhite
fixed compile on other arch; added test and fixed problems found
5 years, 2 months ago (2013-09-30 20:43:10 UTC) #11
bcwhite
fixed perftest
5 years, 2 months ago (2013-10-01 15:29:06 UTC) #12
erikwright (departed)
https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc#newcode710 content/browser/net/sqlite_persistent_cookie_store.cc:710: std::string value = smt.ColumnString(3); I suppose it's possible that ...
5 years, 2 months ago (2013-10-07 20:39:24 UTC) #13
bcwhite
https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc#newcode710 content/browser/net/sqlite_persistent_cookie_store.cc:710: std::string value = smt.ColumnString(3); On 2013/10/07 20:39:25, erikwright wrote: ...
5 years, 2 months ago (2013-10-08 16:10:24 UTC) #14
bcwhite
addressed (most) review comments by Erik
5 years, 2 months ago (2013-10-08 16:12:03 UTC) #15
erikwright (departed)
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h File content/browser/net/sqlite_persistent_cookie_store.h (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h#newcode54 content/browser/net/sqlite_persistent_cookie_store.h:54: CookieCryptoDelegate* crypto_delegate); On 2013/10/08 16:10:25, bcwhite wrote: > > ...
5 years, 2 months ago (2013-10-08 16:50:56 UTC) #16
Scott Hess - ex-Googler
More SQLite comment meta-commentary. https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc#newcode710 content/browser/net/sqlite_persistent_cookie_store.cc:710: std::string value = smt.ColumnString(3); On ...
5 years, 2 months ago (2013-10-08 17:11:53 UTC) #17
Scott Hess - ex-Googler
OK, I just did an end-to-end review. IMHO, Erik is more OWNER, so give more ...
5 years, 2 months ago (2013-10-08 17:35:55 UTC) #18
bcwhite
https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc#newcode710 content/browser/net/sqlite_persistent_cookie_store.cc:710: std::string value = smt.ColumnString(3); So... Yes or no? Personally ...
5 years, 2 months ago (2013-10-08 18:23:35 UTC) #19
bcwhite
addressed review comments by Scott
5 years, 2 months ago (2013-10-08 18:30:12 UTC) #20
bcwhite
added new file left out from previous commit
5 years, 2 months ago (2013-10-08 18:32:46 UTC) #21
erikwright (departed)
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc#newcode305 content/browser/net/sqlite_persistent_cookie_store.cc:305: const int kCompatibleVersionNumber = 5; On 2013/10/08 18:23:36, bcwhite ...
5 years, 2 months ago (2013-10-08 18:41:52 UTC) #22
Scott Hess - ex-Googler
https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/1/content/browser/net/sqlite_persistent_cookie_store.cc#newcode710 content/browser/net/sqlite_persistent_cookie_store.cc:710: std::string value = smt.ColumnString(3); On 2013/10/08 18:23:36, bcwhite wrote: ...
5 years, 2 months ago (2013-10-08 19:13:51 UTC) #23
bcwhite
simplify #ifdef for cookie-crypto
5 years, 2 months ago (2013-10-08 20:18:04 UTC) #24
bcwhite
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc#newcode305 content/browser/net/sqlite_persistent_cookie_store.cc:305: const int kCompatibleVersionNumber = 5; A down-grade would mean ...
5 years, 2 months ago (2013-10-08 20:18:09 UTC) #25
erikwright (departed)
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h File content/browser/net/sqlite_persistent_cookie_store.h (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h#newcode54 content/browser/net/sqlite_persistent_cookie_store.h:54: CookieCryptoDelegate* crypto_delegate); On 2013/10/08 20:18:09, bcwhite wrote: > That ...
5 years, 2 months ago (2013-10-08 20:24:35 UTC) #26
bcwhite
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h File content/browser/net/sqlite_persistent_cookie_store.h (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.h#newcode54 content/browser/net/sqlite_persistent_cookie_store.h:54: CookieCryptoDelegate* crypto_delegate); On 2013/10/08 20:24:35, erikwright wrote: > On ...
5 years, 2 months ago (2013-10-08 21:08:39 UTC) #27
bcwhite
use scoped_ptr instead of raw pointers when permanently passing in objects
5 years, 2 months ago (2013-10-08 21:09:52 UTC) #28
bcwhite
fixed Android build (missing pointer conversion)
5 years, 2 months ago (2013-10-08 21:19:29 UTC) #29
Scott Hess - ex-Googler
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc#newcode382 content/browser/net/sqlite_persistent_cookie_store.cc:382: "encrypted_value BLOB NOT NULL)", On 2013/10/08 20:18:09, bcwhite wrote: ...
5 years, 2 months ago (2013-10-08 21:22:12 UTC) #30
bcwhite
updated new DB schema to be consistent with after-upgrade version
5 years, 2 months ago (2013-10-10 17:19:13 UTC) #31
bcwhite
https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc File content/browser/net/sqlite_persistent_cookie_store.cc (right): https://codereview.chromium.org/24734007/diff/37001/content/browser/net/sqlite_persistent_cookie_store.cc#newcode382 content/browser/net/sqlite_persistent_cookie_store.cc:382: "encrypted_value BLOB NOT NULL)", Done. I just wanted to ...
5 years, 2 months ago (2013-10-10 17:19:29 UTC) #32
Scott Hess - ex-Googler
lgtm https://codereview.chromium.org/24734007/diff/105001/content/browser/net/sqlite_persistent_cookie_store_unittest.cc File content/browser/net/sqlite_persistent_cookie_store_unittest.cc (right): https://codereview.chromium.org/24734007/diff/105001/content/browser/net/sqlite_persistent_cookie_store_unittest.cc#newcode562 content/browser/net/sqlite_persistent_cookie_store_unittest.cc:562: EXPECT_EQ("something", cookie_other->Value()); I'm somewhat hesitant to suggest this ...
5 years, 2 months ago (2013-10-10 20:41:38 UTC) #33
bcwhite
https://codereview.chromium.org/24734007/diff/105001/content/browser/net/sqlite_persistent_cookie_store_unittest.cc File content/browser/net/sqlite_persistent_cookie_store_unittest.cc (right): https://codereview.chromium.org/24734007/diff/105001/content/browser/net/sqlite_persistent_cookie_store_unittest.cc#newcode562 content/browser/net/sqlite_persistent_cookie_store_unittest.cc:562: EXPECT_EQ("something", cookie_other->Value()); I could open the SQL DB directly ...
5 years, 1 month ago (2013-10-15 15:00:42 UTC) #34
bcwhite
look at actual SQL record to verify no plaintext
5 years, 1 month ago (2013-10-15 15:53:58 UTC) #35
Scott Hess - ex-Googler
I'm not sure whether this makes me happy, either. Maybe Erik could +1 or -1 ...
5 years, 1 month ago (2013-10-15 18:27:56 UTC) #36
bcwhite
> Why I suggested "grep the underlying file" is that I see the goal as ...
5 years, 1 month ago (2013-10-15 19:34:35 UTC) #37
Scott Hess - ex-Googler
On 2013/10/15 19:34:35, bcwhite wrote: > > Why I suggested "grep the underlying file" is ...
5 years, 1 month ago (2013-10-15 19:41:27 UTC) #38
bcwhite
check all fields for absent plaintext
5 years, 1 month ago (2013-10-15 20:07:38 UTC) #39
bcwhite
> This is certainly possible for old values which are being replaced. But if you ...
5 years, 1 month ago (2013-10-15 20:08:55 UTC) #40
Scott Hess - ex-Googler
On 2013/10/15 20:08:55, bcwhite wrote: > > This is certainly possible for old values which ...
5 years, 1 month ago (2013-10-15 20:28:44 UTC) #41
bcwhite
scan raw DB file for values to ensure encyrption
5 years, 1 month ago (2013-10-16 13:31:30 UTC) #42
bcwhite
> The in-theory issue is why I suggested that it would need a positive test. ...
5 years, 1 month ago (2013-10-16 13:33:17 UTC) #43
bcwhite
add some debug statements to try to find why it's breaking on the try server
5 years, 1 month ago (2013-10-16 14:45:38 UTC) #44
Scott Hess - ex-Googler
LGTM, that's exactly the kind of thing I meant. Though it might be worthwhile using ...
5 years, 1 month ago (2013-10-17 03:30:47 UTC) #45
erikwright (departed)
https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc File android_webview/browser/aw_browser_context.cc (right): https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc#newcode25 android_webview/browser/aw_browser_context.cc:25: #include "content/public/browser/cookie_crypto_delegate.h" use forward decl instead. https://codereview.chromium.org/24734007/diff/137001/chrome/browser/safe_browsing/safe_browsing_service.cc File chrome/browser/safe_browsing/safe_browsing_service.cc ...
5 years, 1 month ago (2013-10-22 23:58:14 UTC) #46
bcwhite
addressed review comments by erikwright
5 years, 1 month ago (2013-10-23 19:36:09 UTC) #47
bcwhite
https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc File android_webview/browser/aw_browser_context.cc (right): https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc#newcode25 android_webview/browser/aw_browser_context.cc:25: #include "content/public/browser/cookie_crypto_delegate.h" On 2013/10/22 23:58:14, erikwright wrote: > use ...
5 years, 1 month ago (2013-10-23 19:36:23 UTC) #48
bcwhite
need real declaration to instantiate scoped_ptr of an object
5 years, 1 month ago (2013-10-24 15:43:52 UTC) #49
bcwhite
need real declaration to instantiate scoped_ptr of an object (android edition)
5 years, 1 month ago (2013-10-24 15:46:43 UTC) #50
erikwright (departed)
LGTM. Please revert to full include in the perftest. https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc File android_webview/browser/aw_browser_context.cc (right): https://codereview.chromium.org/24734007/diff/137001/android_webview/browser/aw_browser_context.cc#newcode25 android_webview/browser/aw_browser_context.cc:25: ...
5 years, 1 month ago (2013-10-24 19:27:46 UTC) #51
bcwhite
need real declaration to instantiate scoped_ptr of an object (perftest edition)
5 years, 1 month ago (2013-10-24 20:12:33 UTC) #52
bcwhite
add trace of test failing on try-server to see what's going on
5 years, 1 month ago (2013-10-25 17:07:41 UTC) #53
bcwhite
more printf debugging
5 years, 1 month ago (2013-10-28 13:21:38 UTC) #54
bcwhite
more printf debugging
5 years, 1 month ago (2013-10-28 15:21:14 UTC) #55
bcwhite
more printf debugging
5 years, 1 month ago (2013-10-28 20:08:03 UTC) #56
bcwhite
fixed add-cookie race condition and removed all extra debug logging
5 years, 1 month ago (2013-10-29 12:50:44 UTC) #57
bcwhite
fixed typo
5 years, 1 month ago (2013-10-29 13:10:33 UTC) #58
bcwhite
+joi (OWNER for content/public) +rlp (OWNER for chrome/browser/profiles) +benm (OWNER for android_webview)
5 years, 1 month ago (2013-10-29 14:37:43 UTC) #59
Jói
-me, +jam who has asked to review any new interfaces in //content/public.
5 years, 1 month ago (2013-10-29 14:56:19 UTC) #60
benm (inactive)
android_webview lgtm
5 years, 1 month ago (2013-10-29 14:57:45 UTC) #61
jam
before I review, why is this bug and the linked design doc private?
5 years, 1 month ago (2013-10-29 17:24:49 UTC) #62
bcwhite1
Identity management and sign-out have privacy implications. The raw plans and thoughts have not been ...
5 years, 1 month ago (2013-10-29 18:37:35 UTC) #63
jam
On 2013/10/29 18:37:35, bcwhite_google.com wrote: > Identity management and sign-out have privacy implications. The raw ...
5 years, 1 month ago (2013-10-29 19:12:15 UTC) #64
jam
On 2013/10/29 19:12:15, jam wrote: > On 2013/10/29 18:37:35, http://bcwhite_google.com wrote: > > Identity management ...
5 years, 1 month ago (2013-10-29 19:22:18 UTC) #65
bcwhite1
> To explain myself more: if the design doc is internal and shouldn't be > ...
5 years, 1 month ago (2013-10-29 19:29:21 UTC) #66
jam
On 2013/10/29 19:29:21, bcwhite_google.com wrote: > > To explain myself more: if the design doc ...
5 years, 1 month ago (2013-10-29 20:25:02 UTC) #67
rpetterson
lgtm profiles LGTM
5 years, 1 month ago (2013-10-29 23:57:35 UTC) #68
bcwhite
I looked into moving webdata/Encryptor to under //crypto such but it was nixed by the ...
5 years, 1 month ago (2013-10-30 14:31:59 UTC) #69
jam
On 2013/10/30 14:31:59, bcwhite wrote: > I looked into moving webdata/Encryptor to under //crypto such ...
5 years, 1 month ago (2013-10-30 15:16:17 UTC) #70
jam
lgtm
5 years, 1 month ago (2013-10-31 15:22:53 UTC) #71
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1191001
5 years, 1 month ago (2013-10-31 16:39:47 UTC) #72
commit-bot: I haz the power
Retried try job too often on win_rel for step(s) browser_tests, content_unittests, sync_integration_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_rel&number=216692
5 years, 1 month ago (2013-10-31 19:13:25 UTC) #73
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1191001
5 years, 1 month ago (2013-11-01 13:00:49 UTC) #74
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=183605
5 years, 1 month ago (2013-11-01 17:48:19 UTC) #75
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1191001
5 years, 1 month ago (2013-11-01 18:10:54 UTC) #76
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=183791
5 years, 1 month ago (2013-11-02 00:39:38 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1191001
5 years, 1 month ago (2013-11-03 19:09:10 UTC) #78
commit-bot: I haz the power
Failed to apply patch for content/browser/net/sqlite_persistent_cookie_store.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 1 month ago (2013-11-03 19:09:16 UTC) #79
bcwhite
rebased
5 years, 1 month ago (2013-11-04 15:54:13 UTC) #80
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1801001
5 years, 1 month ago (2013-11-04 17:37:18 UTC) #81
commit-bot: I haz the power
Failed to apply patch for android_webview/browser/aw_browser_context.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 1 month ago (2013-11-04 17:37:24 UTC) #82
bcwhite
rebased
5 years, 1 month ago (2013-11-06 21:17:09 UTC) #83
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-07 14:38:42 UTC) #84
commit-bot: I haz the power
Step "update" is always a major failure. Look at the try server FAQ for more ...
5 years, 1 month ago (2013-11-07 14:48:22 UTC) #85
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-07 17:23:54 UTC) #86
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=185868
5 years, 1 month ago (2013-11-07 23:03:09 UTC) #87
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-08 03:58:09 UTC) #88
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=186100
5 years, 1 month ago (2013-11-08 08:42:00 UTC) #89
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-08 13:59:21 UTC) #90
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=186208
5 years, 1 month ago (2013-11-08 19:05:44 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-08 19:57:01 UTC) #92
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=186380
5 years, 1 month ago (2013-11-09 01:18:18 UTC) #93
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years, 1 month ago (2013-11-11 14:59:06 UTC) #94
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=186682
5 years, 1 month ago (2013-11-11 19:53:11 UTC) #95
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/1941001
5 years ago (2013-11-12 13:51:17 UTC) #96
bcwhite
disable on Mac because it breaks tests waiting for Keychain (will fix in another CL)
5 years ago (2013-11-13 13:53:48 UTC) #97
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/2761001
5 years ago (2013-11-13 14:27:08 UTC) #98
commit-bot: I haz the power
Change committed as 234855
5 years ago (2013-11-13 18:41:04 UTC) #99
bcwhite
rebased
5 years ago (2013-12-11 16:30:55 UTC) #100
bcwhite
fix android build
4 years, 12 months ago (2013-12-12 20:14:17 UTC) #101
bcwhite
removed left-over code from bad rebase
4 years, 12 months ago (2013-12-12 20:36:36 UTC) #102
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/2981001
4 years, 12 months ago (2013-12-13 14:59:35 UTC) #103
commit-bot: I haz the power
Change committed as 240684
4 years, 12 months ago (2013-12-13 17:23:56 UTC) #104
bcwhite
A revert of this CL has been created in https://codereview.chromium.org/98603012/ by bcwhite@chromium.org. The reason for ...
4 years, 12 months ago (2013-12-13 18:55:36 UTC) #105
bcwhite
fix memory leak in test
4 years, 12 months ago (2013-12-16 16:01:37 UTC) #106
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/3001001
4 years, 12 months ago (2013-12-16 16:24:12 UTC) #107
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=204832
4 years, 12 months ago (2013-12-16 17:56:02 UTC) #108
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bcwhite@chromium.org/24734007/3001001
4 years, 12 months ago (2013-12-16 18:13:38 UTC) #109
commit-bot: I haz the power
4 years, 12 months ago (2013-12-16 20:26:42 UTC) #110
Message was sent while issue was closed.
Change committed as 241004

Powered by Google App Engine
This is Rietveld 408576698